%define upstream_name    Tapper-Reports-DPath
%define upstream_version 5.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Extended DPath functionality for Tapper reports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::DPath::Path)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Structure::Util)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(HTML::Mason)
BuildRequires: perl(JSON)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(TAP::DOM)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema) >= 5.0.5
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Template)
BuildRequires: perl(Template::Plugin::Autoformat)
BuildRequires: perl(Template::Stash)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distributions provides extended DPath functionality for Tapper reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 5.0.4-3.mga9
+ Revision: 1821322
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 5.0.4-2.mga8
+ Revision: 1544140
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 5.0.4-1.mga8
+ Revision: 1482642
- update to 5.0.4
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 5.0.2-3.mga7
+ Revision: 1271475
- Mageia 7 Mass Rebuild

* Mon Sep 05 2016 pterjan <pterjan> 5.0.2-2.mga6
+ Revision: 1050043
- Re-enable tests
- Rebuild for perl 5.22.2
+ shlomif <shlomif>
- New version 5.0.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-7.mga6
+ Revision: 949194
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 4.1.1-6.mga5
+ Revision: 789267
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 742782
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514868
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 330380
- Missing BR
- update to 4.1.1

* Sat Oct 27 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310819
- BuildRequires, Summary and desc
- imported package perl-Tapper-Reports-DPath


* Sat Oct 27 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
